#ifndef RACE_LOGFILE_OFFSET_H
#define RACE_LOGFILE_OFFSET_H
#include<sys/types.h>

//##ModelId=3FC5D2B0030F
//##Documentation
//## This class implements offsets for partitioned logfiles.
struct RACE_LogfileOffset
{
  /// the number of the part, 0 is the tds-File
    //##ModelId=3FC5D2B10003
  long part;
  /// the offset in the part.
    //##ModelId=3FC5D2B10004
  off_t offset;

    //##ModelId=3FC5D2B10012
  RACE_LogfileOffset():part(0),offset(0) {}
    //##ModelId=3FC5D2B10013
  RACE_LogfileOffset(long ppart,off_t poffset):part(ppart),offset(poffset) {}

    //##ModelId=3FC5D2B10016
  bool IsNil() const { return part==0 && offset==0; }
};
#endif

