#ifndef RACE_DEPOSITORYNAMES_H
#define RACE_DEPOSITORYNAMES_H

//##ModelId=3FCF3A2B024F
class RACE_DepositoryNames
{
public:
    //##ModelId=3FCF3A4703C3
  RACE_DepositoryNames();
    //##ModelId=3FCF3A4A0173
  RACE_DepositoryNames(const char *entity_name);
    //##ModelId=3FCF3A4E00B6
  void initialize(const char *entity_name);
    //##ModelId=3FCF3A4E01BF
  bool IsInitialized() { return m_basefilename[0]!='\0'; }
    //##ModelId=3FCF3A4E01EE
  static void init(const char *persistentpath);
    //##ModelId=3FCF3A4E0298
  const char *GetBaseFilename() const  { return m_basefilename; }
    //##ModelId=3FCF3A4E0310
  const char *GetFilename()     const  { return m_filename; }
    //##ModelId=3FCF3A4E037E
  const char *GetIndexname()    const  { return m_indexfilename; }
    //##ModelId=3FCF3A4E03A8
  const char *GetOldFilename()  const  { return m_oldfilename; }
    //##ModelId=3FCF3A4F0093
  const char *GetOldIndexname() const  { return m_oldindexname; }
    //##ModelId=3FCF3A4F00EE
  const char *GetUncompleteNewFilename() const { return m_uncompletenewfilename; }

    //##ModelId=3FCF3A4F011C
  bool ExistsOld();
private:
    //##ModelId=3FCF3A2D0285
  char m_basefilename[256];
    //##ModelId=3FCF3A34018F
  char m_filename[256];
    //##ModelId=3FCF3A3701E6
  char m_indexfilename[256];
    //##ModelId=3FCF3A390142
  char m_oldfilename[256];
    //##ModelId=3FCF3A3B00BF
  char m_oldindexname[256];
    //##ModelId=3FCF3A440053
  char m_uncompletenewfilename[256];

    //##ModelId=3FCF3A470063
  static const char *ms_persistentpath;
};

#endif
