#ifndef RACE_HIGHESTOFFSETCALC
#define RACE_HIGHESTOFFSETCALC
#include<RACE_LogfileOffset.h>

//##Documentation
//## determins maximum off offsets
//## This is mainly intended for snapshots
//## When reading an snapshot, there may be entities arrived after the last
//## entity referenced in the snapshot and the snapshotdumpable.
//## Thus his class helps to calculate the last offset.
class RACE_HighestOffsetCalc
{
public:
  RACE_HighestOffsetCalc():m_highest_offset(0,0) {}
  //##Documentation
  //## draw an new offset into account
  void Add(const RACE_LogfileOffset& offset)
  {
    if((m_highest_offset.part==0 && m_highest_offset.part==0)
      || (offset.part > m_highest_offset.part)
      || (offset.part == m_highest_offset.part
          && offset.offset > m_highest_offset.offset)
       )
    {
      m_highest_offset = offset;
    }
  }
    //##ModelId=3FC5FD430061
  RACE_LogfileOffset GetValue() { return m_highest_offset; }
private:
      //##ModelId=3FC5FD430052
  RACE_LogfileOffset m_highest_offset;
};

#endif
