#ifndef RACE_SEMANTIK_FACTORY_H
#define RACE_SEMANTIK_FACTORY_H
#include"RACE_Interpreter.h"
#include"RACE_LogfileReader.h"
//##Documentation
//## allows drivers be abstract
//## now, each application has to implement one in a body
//## the implementation may be loaded as shared objects 

class RACE_Semantik_Factory
{
public:
  RACE_Semantik_Factory(RACE::LogFileReader *reader):reader_(reader),interpreter_(0),iterationsemantic_(0),snapshotsemantic_(0) {}
  void init(int& argc,char **&argv);
  RACE::Interpreter *interpreter();
  RACE::DumpableVisitor *iterationsemantic();
  RACE::DumpableVisitor *snapshotsemantic();
protected:
  RACE::LogFileReader *reader_;
  RACE::Interpreter *interpreter_;
  RACE::DumpableVisitor *iterationsemantic_;
  RACE::DumpableVisitor *snapshotsemantic_;
};
#endif
