/**
 * Test fuer primitives memorysegment
 */
#include<stdio.h>
#include"mseg.h"
char puffer[1<<14];

int main(int argc,char *argv)
{
  size_t size=1<<14;
  RAMS::Mseg ms(puffer,size);
  printf("Pages: %ld\n",ms.maxpageno());
  printf("begin=%p size=%d end=%p\n",ms.begin(),ms.size(),ms.end());
  char *p = puffer+5744;
  RAMS::PageNo_t i=ms.pageno(p);
  void *paddr = ms.pageno2addr(i);
  printf("p=%p offset=%ld page=%ld\n",p,ms.offset(p),i);
  printf("i=%ld pageaddr=%p computed pageno=%ld\n",i,paddr,ms.pageno(paddr));
}
