#include<iostream>
#include"LSFullPageDumpable.h"
#include"LSDiffPageDumpable.h"
#include"LSDSemantik.h"

const char * LSDSemantik::name()
{
  return "LSDSemantik";
}

void LSDSemantik::LogSegmentFullPageDumpable(LSFullPageDumpable *lsd)
{
  std::cerr << "LSFullPageDumpable at " << lsd->GetOffset().part << ':'
	    <<  lsd->GetOffset().offset << " :"
	    << "Page " << lsd->pageno() << "  " 
	    << "Timestamp " << lsd->timestamp() << " "
	    << "TAN=" << lsd->tan() << std::endl;
}

void LSDSemantik::LogSegmentDiffPageDumpable(LSDiffPageDumpable *lsd)
{
  std::cerr << "LSDiffPageDumpable at " << lsd->GetOffset().part << ':'
	    <<  lsd->GetOffset().offset << " :"
	    << "Page " << lsd->pageno() << "  " 
	    << "Timestamp " << lsd->timestamp() << " "
	    << "TAN=" << lsd->tan() << std::endl;
}
