#ifndef LSFULLPAGEDUMPABLE_H
#define LSFULLPAGEDUMPABLE_H
#include"LSDumpable.h"

class LSFullPageDumpable : public LSDumpable
{
public:
  LSFullPageDumpable(RACE::DataBlock *header,RACE::DataBlock *full);
  LSFullPageDumpable(RACE::DataBlock *db, RACE_LogfileOffset& lo):
    LSDumpable(db,lo) {}
  virtual void CallVisitor(RACE::DumpableVisitor *visitor);
  char *pagebegin() { return pageheader()->page; }
  size_t pagelength()   { return pageheader()->len_of_page; }
};

#endif
