#include"KVSnapshotDumpable.h"
#include<iostream>

int main(int argc,char **argv)
{
  KVSnapshotDumpable *kvs = new KVSnapshotDumpable();
  char puffer[256];
  int i;
  for(i=0;i<1000;i++)
  {
    int lp,l;
    snprintf(puffer,256,"K%d",i);
    lp=strlen(puffer);
    l=(i+75)%100;
    memset(puffer+lp,' ',l);
    puffer[lp+l]='\0';
    Gdat key(puffer,lp+l);
    Logfile::KeyRecord *kr=kvs->append(key);
    std::cerr << "entrylength=" << kr->reclen << " length=" << kvs->length() << " totallength=" << kvs->total_length() << std::endl;
  }

  std::cerr << "------------Reading--------------------" << std::endl;
  for(Logfile::KeyRecord *cur_key = kvs->first_key();
      cur_key!=NULL;cur_key=kvs->next_key())
  {
    Gdat key(cur_key->key,cur_key->keylen);
    std::cout << "entrylength=" << cur_key->reclen << "  " << key << std::endl;
  }
}

