#ifndef LOGGERSNAPSHOTCONNECTION_H
#define LOGGERSNAPSHOTCONNECTION_H
#include"RACE_LogfileOffset.h"
#include"gdat.h"

//##Documentation
//##  decouples Dumpables from the rest, mainly for Testprogramms
class LoggerSnapshotConnection
{
public:
  //##Documentation
  //## This is the Callback from CollectionDumpables
  virtual void SetOffset(RACE_LogfileOffset offset,time_t timestamp);
  virtual void InformDiscard(time_t timestamp);

  //##Documentation
  //## This is the Callback for Single KeyValues.
  //## REMARK: Perhaps the Inheritance.Hierarchie could be refined
  //## REMARK: If the entities are received out of sequence, a timestamp 
  //## may a additional parameter here
  virtual void KeyValueInsertCallback(const Gdat& key,RACE_LogfileOffset off);
  virtual void KeyValueDiscardCallback(const Gdat& key);

  virtual ~LoggerSnapshotConnection();
};

#endif

