#ifndef DMAP_H
#define DMAP_H
#include<string.h>
#include"gdat.h"
#include<utility/errorclass.h>
#include<ostream> // for asciidump
enum Dmapflag { DMAP_INSERT,DMAP_REPLACE };

/* gegenueber 1998 vereinfacht */

class Dmap
{
public:
  //Bereitstellen
  virtual int open() throw(Databaseerror) =0;
  //Bereitstellung aufheben
  virtual int close()=0;
  virtual int fetch(Gdat &key,Gdat &val) throw(Databaseerror)=0;
  virtual int store(Gdat &key,Gdat &value,Dmapflag flag) throw(Databaseerror) =0;
  virtual void release()=0;
  //Hilfsfunktion zum Debugging 
  virtual void asciidump(std::ostream& str)=0;
  virtual void Checkpoint()=0;
};
#endif

