/*
 * $Id: env_access_level_check.cpp,v 1.3 2004/04/22 15:18:36 okellogg Exp $
 */
#include "utility/env_access.h"
#include "utility/output.h"

int
main (int argc, char** argv)
{
  output::cond_fail (argc != 2, "usage: %s <envvar_name>", argv[0]);
  env_level my_level (argv[1]);
  output::message ("%s: %s is %s with level %u", argv[0], argv[1],
                   my_level.is_on () ? "ON " : "OFF", my_level.level ());
  return 0;
}

