#ifndef RACE_CMDDUMPABLE_H
#define RACE_CMDDUMPABLE_H
#include"RACE_Dumpable.h"
/*---------- Special Dumpables ------------------*/
//##ModelId=3F72A5C5015C
//##Documentation
//## Dumpable for queuing Commands for the Logger
//## The length of the Dumpable is always zero
//## Concrete Commands Dumpables derive throm this class
class RACE_CmdDumpable: public RACE_Dumpable
{
public:
    //##ModelId=3F72A5C5038D
  RACE_CmdDumpable():RACE_Dumpable(0) {}
};

//##ModelId=3F72A5C50156
//##Documentation
//## this Kind of Dumpable is queued if the Logger shall canceled
class RACE_CancelCmdDumpable: public RACE_CmdDumpable
{
};

//##ModelId=3F72A5C50183
//##Documentation
//## Flush the internal RACE_Accumulator
class RACE_FlushCmdDumpable: public RACE_CmdDumpable
{
};
#endif

