#ifndef RACE_INTERPRETER_H
#define RACE_INTERPRETER_H
#include<RACE_Dumpable.h>

namespace RACE
{
  class Interpreter
  {
  public:
    //##Documentation
    //## simple default-Interpreter
    virtual RACE_Dumpable *interpret(RACE::DataBlock *db,bool fragmented,RACE_LogfileOffset lo);
  protected:
    //##Documentation
    //## sums the length() of all elements in the chain
    static size_t lengthofchain(RACE::DataBlock *db);
    //##Documentation
    //## copies all fragments in one block (alloced eith simplemallovfactory)
    //## and release the fragments
    static RACE::DataBlock *defragment(RACE::DataBlock *db);
  };
};
#endif

