#ifndef LSDRECONSTRUCTSEMANTIK_H
#define LSDRECONSTRUCTSEMANTIK_H
#include<RACE_Dumpable.h>
#include"LSDSemantik.h"
class LSFullPageDumpable;
class LSDiffPageDumpable;

class LSDReconstructSemantik : public LSDSemantik
{
public:
  LSDReconstructSemantik(const char *name,time_t until);
  virtual ~LSDReconstructSemantik();
  virtual const char *name();
  virtual void LogSegmentFullPageDumpable(LSFullPageDumpable *);
  virtual void LogSegmentDiffPageDumpable(LSDiffPageDumpable *);
private:
  const char *name_;
  time_t until_;
  int fd_;
  RAMS::Mseg recseg;
};
#endif
