#ifndef LSDUMPABLE_H
#define LSDUMPABLE_H
#include<RACE_Dumpable.h>
#include"LSpersistentlayout.h"
#include"LSDSemantik.h"
#include<RAMS/elementartypes.h>

class LSDumpable : public RACE_Dumpable
{
public:
  LSDumpable(RACE::DataBlock *header);
  //##Documantation
  //## Construktor for Readers
  LSDumpable(RACE::DataBlock* db, RACE_LogfileOffset& lo):RACE_Dumpable(db,false,lo) {}
  RAMS::PageNo_t pageno() { return pageheader()->pageno; }
  LSlayout::LSDumpabe_t pagetype() { return pageheader()->type; }
  time_t timestamp() { return pageheader()->timestamp; }
  long tan() { return pageheader()->tan; }
protected:
  LSlayout::logpageheader *pageheader() { return (LSlayout::logpageheader *)first_base(); }
};

#endif
