#include "utility/env_access.h"

/*
 * $Id: env_access.cpp,v 1.3 2004/04/22 15:18:36 okellogg Exp $
 */

env_adapter::env_adapter (const char* env_variable_name)
{
  env_variable_content = "";
  if (env_variable_name) {
    char* content = getenv (env_variable_name);
    if (content)
      env_variable_content += content;
  }
}

std::string
env_adapter::get_str () const
{
  return env_variable_content;
}


