#include <iostream>
#include "utility/env_access.h"

/*
 * $Id: env_access_list_check.cpp,v 1.3 2004/04/22 15:18:36 okellogg Exp $
*/

int main (int argc, char *argv[])
{
  if (argc != 2) {
    std::cerr << "usage: " << argv[0] << " <environment_variable>" << std::endl;
    return 1;
  }
  bool emptyEntriesRemoved;
  env_list my_list (argv[1]);
  string_list_parser::StringVector vec = my_list.splitAndPruneValues (emptyEntriesRemoved);

  std::cout << "emptyEntriesRemoved is " << emptyEntriesRemoved << std::endl;
  for (unsigned i = 0; i < vec.size (); i++) {
    std::cout << vec[i] << std::endl;
  }
  return 0;
}


