#include"errorclass.h"

Error::Error(const char *msg,...)
{
  va_list args;
  va_start(args,msg);
  vsnprintf(errmsg,sizeof(errmsg),msg,args);
  va_end(args);
}

Syntaxerror::Syntaxerror(const char *m,...):Error()
{
  va_list args;
  va_start(args,m);
  vsnprintf(errmsg,sizeof(errmsg),m,args);
  va_end(args);
};

Databaseerror::Databaseerror(char *dbname,long code,char *m,...):Error()
{
  char format[128];
  va_list args;
  va_start(args,m);
  snprintf(format,sizeof(format),"%s-CODE %ld: %s",dbname,code,m);
  vsnprintf(errmsg,sizeof(errmsg),format,args);
  va_end(args);
  icode=code;
}

